/*
So nun geht es um Text..
Zum Glück ist es recht einfach, Text in einfache Objekte einzufügen...
Folgendes Beispiel fügt den Text im Anführungszeichen (hier HEIG) ein. Es können eigentlich alle installierte Schriften von dem Windows-PC verwendete werden ggf. muss die bevorzugte Schrift noch installiert werden...
*/
*text("HEIG", font = "Arial MS");
*text("HEIG", font = "Comic Sans MS");


/*
Skalierung des Textes:
Die Schrift kann in der Skalierung auch geändert werden. Der erste Wert zieht den Text in die Breite der zweite in die Höhe
*/
*scale([2, 2])
*text("HEIG", font = "Arial MS");

/*
Rotation von Texten oder Objekten:
Durch "rotate" wird der Text (oder auch beliebige Objekte in der jeweiligen Achse in dem angegebenen Winkel gedreht
*/
//rotate([0, 0, 90])
//text("HEIG", font = "Arial MS");

/*
Text "extrudieren":
Durch "linear_extrude" wird der Text in der Z-Achse vergößert
*/

*linear_extrude(height= 2)
*text("HEIG", font = "Arial MS");


/*
Das kann selbstverständlich auch mit der Anweisung "Rotate" kombiniert werden!
*/

*rotate([0, 0, 90])
*linear_extrude(height= 2)
*text("HEIG", font = "Arial MS");

/*
Natürlich kann auch der Text mit "Translate in alle gewünschten Richtungen verschoben werden
*/

*translate([5, 5, 5])
*linear_extrude(height=2)
*text("HEIG", font = "Arial");


/*
Probiert nun selbst die Verwendung aus.
Wenn genug probiert, dann erstellt doch mal ein Namenschild mit eurem Namen. Ein Beispiel hierfür findet ihr in "08_Aufgabe_Namensschild"
*/













