/*
Andere einfache Objekte (Primitives) in OpenSCAD

Anweisung "sphere":
Hier wird eine Kugel erstellt.
Mit der Anweisung "sphere" wird dieses ausgeführt.
In diesem Beispiel hat die Kugel den Radius 10
Das gleiche Bild entsteht, wenn bei der Kugel der Durchmesser 40 angegeben wird: sphere(d=20)
*/

//sphere(20);
//sphere(d=20);

/*
Das sieht nun nicht wirklich nach einer schönen glatten Kugel aus. Das liegt daran, dass Objekte durch Aneinanderlegen von Dreiecken dargestellt werden. Durch Setzen der Variable $fn="ZAHL" kann die Auflösung verbessert werden, hierdurch werden mehr Dreiecke pro Zeicheneinheit gerendert, was sich vorwiegend bei runden Elementen lohnt. Allerdings erhöht sich dadurch die Rechenzeit für die Berechnung der Modelle und auch für die Darstellung der Objekte teilweise dramatisch.
Hier eine Kugel mit einer Auflösung von 100
*/

//$fn=100;
//sphere(10);


/*
Probiert nun die Erstellung einer Kugel in unterschiedlichen Auflösungen aus.
/*





/*
Genug probiert? Dann zur Aufgabe in der Datei "04_Aufgabe_Kugelraupe"
Hinweis: Ihr benötigt hierzu auch die bereits belkannten Befehle "translate" und "cube"
*/

